import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/contract_position_rate_specific_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/contract_position_rate_specific_option_entity.g.dart';

@JsonSerializable()
class ContractPositionRateSpecificOptionEntity {
	@JSONField(name: "position_id")
	String? positionId;
	@JSONField(name: "agency_name")
	String? agencyName;
	String? position;
	@JSONField(name: "contract_id")
	String? contractId;

	ContractPositionRateSpecificOptionEntity();

	factory ContractPositionRateSpecificOptionEntity.fromJson(Map<String, dynamic> json) => $ContractPositionRateSpecificOptionEntityFromJson(json);

	Map<String, dynamic> toJson() => $ContractPositionRateSpecificOptionEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}